Eclipse Platform Release 3.7

## org.eclipse.ui.ide
Interface IDE.Preferences

Enclosing class:
  IDE

    public static interface IDE.Preferences

Preferences defined by the IDE workbench.

This interface is not intended to be implemented by clients.

Field Summary
`static String` `MAX_RECENT_WORKSPACES` Stores the maximum number of workspaces that should be displayed in the ChooseWorkspaceDialog.
`static String` `PROJECT_OPEN_NEW_PERSPECTIVE` A named preference for how a new perspective should be opened when a new project is created.
`static String` `RECENT_WORKSPACES` Stores a comma separated list of the recently used workspace paths.
`static String` `RECENT_WORKSPACES_PROTOCOL` Stores the version of the protocol used to decode/encode the list of recent workspaces.
`static String` `SHOW_WORKSPACE_SELECTION_DIALOG` Specifies whether or not the workspace selection dialog should be shown on startup.

Field Detail

### PROJECT_OPEN_NEW_PERSPECTIVE

    static final String PROJECT_OPEN_NEW_PERSPECTIVE

  A named preference for how a new perspective should be opened when a new project is created.

  Value is of type `String`. The possible values are defined by the constants `OPEN_PERSPECTIVE_WINDOW, OPEN_PERSPECTIVE_PAGE, OPEN_PERSPECTIVE_REPLACE, and NO_NEW_PERSPECTIVE`.

  See Also:
    `IWorkbenchPreferenceConstants.OPEN_PERSPECTIVE_WINDOW`, `IWorkbenchPreferenceConstants.OPEN_PERSPECTIVE_PAGE`, `IWorkbenchPreferenceConstants.OPEN_PERSPECTIVE_REPLACE`, `IWorkbenchPreferenceConstants.NO_NEW_PERSPECTIVE`, Constant Field Values

### SHOW_WORKSPACE_SELECTION_DIALOG

    static final String SHOW_WORKSPACE_SELECTION_DIALOG

  Specifies whether or not the workspace selection dialog should be shown on startup.

  The default value for this preference is `true`.

  Since:
    3.1
  See Also:
    Constant Field Values

### MAX_RECENT_WORKSPACES

    static final String MAX_RECENT_WORKSPACES

  Stores the maximum number of workspaces that should be displayed in the ChooseWorkspaceDialog.

  Since:
    3.1
  See Also:
    Constant Field Values

### RECENT_WORKSPACES

    static final String RECENT_WORKSPACES

  Stores a comma separated list of the recently used workspace paths.

  Since:
    3.1
  See Also:
    Constant Field Values

### RECENT_WORKSPACES_PROTOCOL

    static final String RECENT_WORKSPACES_PROTOCOL

  Stores the version of the protocol used to decode/encode the list of recent workspaces.

  Since:
    3.1
  See Also:
    Constant Field Values

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.